
export class AdvertisingAllowedFunctionTypes {
    static allowedAdvertisingFunctionTypes = [
        'Oddíl: vedoucí/admin',
        'Družina: vedoucí/admin'
    ];

    static hasPermission: boolean = false;
    static firstTimeRole: boolean = true;

    static getPermission(): boolean {
        return this.hasPermission;
    }

    static setPermission(role: string) {
        this.hasPermission = false;
        this.allowedAdvertisingFunctionTypes.forEach(type => {
            if (role.trim().includes(type.trim())) {
                this.hasPermission = true;
            }
        });
    }
}
